.primary {
    z-index: 50;
    position: relative;

    &__body {
        z-index: 20;
        position: relative;
    }

    &__main {
        height: rem(310);
        position: relative;
    }

    &__bg {
        bottom: 0;
        z-index: 1;
        left: calc(50% - 23rem);
        width: rem(690);
        min-height: rem(331);
        position: absolute;
        background: url("../img/primary__image.webp") 50% 50% no-repeat;
        background-size: cover;

        &:before {
            top: 0;
            left: 0;
            content: '';
            z-index: 5;
            width: 100%;
            height: 100%;
            position: absolute;
            background: linear-gradient(130.09deg, #FFFFFF 24.85%, rgba(255, 255, 255, 0.679136) 52.45%, rgba(255, 255, 255, 0) 84.49%);
        }
    }

    &__media {
        bottom: 0;
        z-index: 1;
        left: rem(141);
        width: rem(224);
        position: absolute;
    }

    &__content {
        z-index: 20;
        position: relative;
        padding-top: rem(48);
        padding-bottom: rem(20);
    }

    &__header {
        width: rem(214);
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(23);
        margin-bottom: rem(12);
    }

    &__text {
        width: rem(160);
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(16);
        margin-bottom: rem(6);
    }

    &__price {
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(34);
        margin-bottom: rem(15);
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    &__pattern {
        display: none;
    }

    @include media-breakpoint-up(sm) {

        &__bg {
            left: 0;
            width: 100%;
        }
    }

    @include media-breakpoint-up(md) {
        color: $white;

        &__main {
            min-height: rem(440);
            display: flex;
            flex-direction: column;
        }

        &__content {
            margin: auto 0;
            padding-top: rem(20);
            padding-bottom: rem(30);
        }

        &__pattern {
            top: 0;
            bottom: 0;
            z-index: 10;
            //     left: calc(50% - 550px);
            right: calc(50% - 250px);
            width: 800px;
            display: block;
            position: absolute;
            background: url("../img/primary__bg.webp") 100% 0 no-repeat;
            background-size: cover;
        }

        &__bg {
            width: rem(950);
            min-height: 100%;
            left: calc(50% - 20rem);

            &:before {
                display: none;
            }
        }

        &__button {
            width: rem(160);
        }

        &__media {
            left: calc(50% + 30px);
            width: rem(320);
        }

        &__header {
            width: rem(380);
            font-size: rem(32);
            line-height: 1.2777;
            margin-bottom: rem(24);
        }

        &__text {
            width: rem(300);
            font-size: rem(16);
            line-height: 1.333;
            margin-bottom: rem(18);
        }

        &__price {
            font-size: rem(24);
            line-height: rem(34);
            margin-bottom: rem(18);
        }
    }

    @include media-breakpoint-up(lg) {

        &__media {
            left: calc(50% + 100px);
        }
    }

    @include media-breakpoint-up(xl) {

        &__main {
            height: rem(600);
        }

        &__bg {
            width: rem(1287);
        }

        &__pattern {
            width: rem(1469);
            //     left: calc(50% - 1170px);
            right: calc(50% - 300px);
        }

        &__content {
            padding-top: rem(16);
        }

        &__media {
            width: rem(431);
            left: calc(50% + 86px);
        }

        &__header {
            width: rem(560);
            font-size: rem(47);
            line-height: rem(57);
            margin-bottom: rem(24);
        }

        &__price {
            margin-bottom: rem(20);
        }

        &__text {
            width: rem(500);
            font-size: rem(24);
            line-height: rem(34);
            margin-bottom: rem(36);
        }
    }

    @media (min-width: 1920px) {

        &__bg {
            width: auto;
            right: 0;
        }

        &__pattern {
            width: auto;
            left: 0;
        }
    }

    @include media-breakpoint-down(md) {

        &--v2 {

            .primary {

                &__main {
                    height: auto;
                }

                &__content {
                    padding-top: rem(68);
                    padding-bottom: rem(30);
                }

                &__header {
                    width: rem(260);
                    font-size: rem(22);
                    line-height: rem(26);
                    text-shadow: 1px 0 1px $white,
                    0 1px 1px $white,
                    -1px 0 1px $white,
                    0 -1px 1px $white;
                }

                &__text {
                    width: rem(180);
                    font-size: rem(14);
                    line-height: rem(16);
                    text-shadow: 1px 0 1px $white,
                    0 1px 1px $white,
                    -1px 0 1px $white,
                    0 -1px 1px $white;
                }

                &__button {
                    left: 0;
                    right: 0;
                    bottom: rem(-23);
                    position: absolute;
                }
            }
        }
    }
}
